%define name parcellite
%define version 1.2.1
%define release %mkrel 1

Summary: 	Parcellite (Parcelle Lite) is a lightweight GTK+ clipboard manager
Summary(de):    Parcellite (Parcelle Lite) ein leichter GTK+ Zwischenablagenmanager
Name: 		%name
Version:	%version
Release: 	%release
License: 	GPLv3+
Group: 		Graphical desktop/GNOME
URL: 		http://code.google.com/p/xyhthyx/
Patch0:     %{name}-%{version}-desktop.patch
Source0:	%{name}-%{version}.tar.xz
BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot
#---------------------------------------
BuildRequires:  gettext-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:	glib2-devel
BuildRequires:	pango-devel
BuildRequires:	libx11-devel
BuildRequires:  intltool
#--------------------------------------
Requires:   %{_lib}gtk+2.0_0
Requires:	xdotool
Obsoletes:	%name < %version

%description
Parcellite (Parcelle Lite) is a lightweight GTK+ clipboard manager. This is
a stripped down, basic-features-only version of Parcelle with a small memory
footprint for those who like simplicity.

#german
%description -l de
Dies ist eine abgespeckte (enthält nur die Grundfunktionen) Version von Parcelle 
mit einem kleinen Speicher Abbild für diejenigen, die die Einfachheit mögen. 


%prep
%setup -q -n %{name}-%{version}
%apply_patches

rm -rf autom4te.cache */*~ || :

%build
export LDFLAGS="$LDFLAGS -lgio-2.0"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install \
	--add-only-show-in="LXDE;MATE;XFCE" \
	--dir=%{buildroot}%{_sysconfdir}/xdg/autostart/ \
		%{buildroot}%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/*


%changelog
* Fri Sep 08 2017 adrianomorselli <adrianomorselli> 1.2.1-1uplos2017
- update
